Package com.io7m.cedarbridge.bridgedoc.api

# Record Class CBDocGeneratorResult

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.bridgedoc.api.CBDocGeneratorResult

Record Components:
  `createdFiles` - The created files

public record CBDocGeneratorResult(List<Path> createdFiles) extends Record
The result of documentation generation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBDocGeneratorResult(List<Path> createdFiles)`
  The result of documentation generation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Path>`
  `createdFiles()`
  Returns the value of the `createdFiles` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBDocGeneratorResult

    public CBDocGeneratorResult(List<Path> createdFiles)
    The result of documentation generation.
    Parameters:
      `createdFiles` - The created files

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### createdFiles

    public List<Path> createdFiles()
    Returns the value of the `createdFiles` record component.
    Returns:
      the value of the `createdFiles` record component